The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update Status of Domain Name Exceptions from IPS Inspection Allowlist

Prev Next

This URL updates the status of domain name exceptions specified in the integer list.

Resource URL

PUT /domainnameexceptions/ipsinspectionallowlist/bulkUpdate

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name Description Data Type Mandatory
state State of the domain names. Either "E" or "D". String Yes
entryIDs List of entry id's of domain names to be updated IntegerList Yes

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/domainnameexceptions/ipsinspectionallowlist/bulkUpdate

Payload

{
"state": “D”
“entryIDs”: [10118,10119]
} 
 

Response

{
“status”:1
} 

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error message: Internal server error
2 500 1001 Internal error message: Error while bulk update